AM261x MCU+ SDK: CANFD_OpenParams Struct Reference

| AM261x MCU+ SDK 26.00.00 |

Data Fields
CANFD_OpenParams Struct Reference
APIs for SOC Specific Device Drivers » APIs for CANFD

## Data Fields
uint32_t | transferMode
CANFD_TransferCallbackFxn | transferCallbackFxn
CANFD_ErrorCallbackFxn | errorCallbackFxn
uint32_t | fdMode
uint32_t | brsEnable
uint32_t | txpEnable
uint32_t | efbi
uint32_t | pxhddisable
uint32_t | darEnable
uint32_t | wkupReqEnable
uint32_t | autoWkupEnable
uint32_t | emulationEnable
uint32_t | emulationFAck
uint32_t | clkStopFAck
uint32_t | wdcPreload
uint32_t | tdcEnable
CANFD_MCANTdcConfig | tdcConfig
uint32_t | monEnable
uint32_t | asmEnable
uint32_t | tsPrescalar
uint32_t | tsSelect
CANFD_MCANTimeOutSelect | timeoutSelect
uint32_t | timeoutPreload
uint32_t | timeoutCntEnable
CANFD_MCANGlobalFiltConfig | filterConfig
CANFD_MCANMsgRAMCfgParams | msgRAMConfig
CANFD_MCANECCConfigParams | eccConfig
uint32_t | errInterruptEnable
uint32_t | dataInterruptEnable

## Field Documentation

## ◆ transferMode

uint32_t CANFD_OpenParams::transferMode

Blocking or Callback mode. Refer CANFD_TransferMode Transfer Callback function pointer

## ◆ transferCallbackFxn

CANFD_TransferCallbackFxn CANFD_OpenParams::transferCallbackFxn

Error Callback function pointer

## ◆ errorCallbackFxn

CANFD_ErrorCallbackFxn CANFD_OpenParams::errorCallbackFxn

## ◆ fdMode

uint32_t CANFD_OpenParams::fdMode

FD Operation Enable 0 = FD operation disabled 1 = FD operation enabled

## ◆ brsEnable

uint32_t CANFD_OpenParams::brsEnable

Bit Rate Switch Enable This is valid only when opMode = 1. 0 = Bit rate switching for transmissions disabled 1 = Bit rate switching for transmissions enabled

## ◆ txpEnable

uint32_t CANFD_OpenParams::txpEnable

Transmit Pause 0 = Transmit pause disabled 1 = Transmit pause enabled

## ◆ efbi

uint32_t CANFD_OpenParams::efbi

FEdge Filtering during Bus Integration 0 = Edge filtering disabled 1 = Two consecutive dominant tq required to detect an edge for hard synchronization

## ◆ pxhddisable

uint32_t CANFD_OpenParams::pxhddisable

Protocol Exception Handling Disable 0 = Protocol exception handling enabled 1 = Protocol exception handling disabled

## ◆ darEnable

uint32_t CANFD_OpenParams::darEnable

Disable Automatic Retransmission 0 = Automatic retransmission of messages not transmitted successfully enabled 1 = Automatic retransmission disabled

## ◆ wkupReqEnable

uint32_t CANFD_OpenParams::wkupReqEnable

Wakeup Request Enable 0 = Wakeup request is disabled 1 = Wakeup request is enabled

## ◆ autoWkupEnable

uint32_t CANFD_OpenParams::autoWkupEnable

Auto-Wakeup Enable 0 = Auto-Wakeup is disabled 1 = Auto-Wakeup is enabled

## ◆ emulationEnable

uint32_t CANFD_OpenParams::emulationEnable

Emulation/Debug Suspend Enable 0 = Emulation/Debug Suspend is disabled 1 = Emulation/Debug Suspend is enabled

## ◆ emulationFAck

uint32_t CANFD_OpenParams::emulationFAck

Emulation/Debug Suspend Fast Ack Enable 0 = Emulation/Debug Suspend does not wait for idle/immediate effect 1 = Emulation/Debug Suspend waits for idle/graceful stop

## ◆ clkStopFAck

uint32_t CANFD_OpenParams::clkStopFAck

Clock Stop Fast Ack Enable 0 = Clock Stop does not wait for idle/immediate effect 1 = Clock Stop waits for idle/graceful stop

## ◆ wdcPreload

uint32_t CANFD_OpenParams::wdcPreload

Start value of the Message RAM Watchdog Counter Range:[0x0-0xFF]

## ◆ tdcEnable

uint32_t CANFD_OpenParams::tdcEnable

Transmitter Delay Compensation Enable 0 = Transmitter Delay Compensation is disabled 1 = Transmitter Delay Compensation is enabled

## ◆ tdcConfig

CANFD_MCANTdcConfig CANFD_OpenParams::tdcConfig

Transmitter Delay Compensation parameters. Refer struct CANFD_MCANTdcConfig.

## ◆ monEnable

uint32_t CANFD_OpenParams::monEnable

Bus Monitoring Mode 0 = Bus Monitoring Mode is disabled 1 = Bus Monitoring Mode is enabled

## ◆ asmEnable

uint32_t CANFD_OpenParams::asmEnable

Restricted Operation Mode 0 = Normal CAN operation 1 = Restricted Operation Mode active This mode should not be combined with test modes.

## ◆ tsPrescalar

uint32_t CANFD_OpenParams::tsPrescalar

Timestamp Counter Prescaler. Range:[0x0-0xF]

## ◆ tsSelect

uint32_t CANFD_OpenParams::tsSelect

Timeout source selection. 00b: Timestamp counter value always 0x0000 01b: Timestamp counter value incremented according to tsPrescalar 10b: External timestamp counter value used 11b: Same as 00b

## ◆ timeoutSelect

CANFD_MCANTimeOutSelect CANFD_OpenParams::timeoutSelect

Time-out counter source select. Refer enum CANFD_MCANTimeOutSelect.

## ◆ timeoutPreload

uint32_t CANFD_OpenParams::timeoutPreload

Start value of the Timeout Counter (down-counter). The Timeout Counter is decremented in multiples of CAN bit times [1-16] depending on the configuration of the tsPrescalar. Range: [0x0-0xFFFF]

## ◆ timeoutCntEnable

uint32_t CANFD_OpenParams::timeoutCntEnable

Timeout Counter Enable 0 - Timeout Counter is disabled 1 - Timeout Counter is enabled

## ◆ filterConfig

CANFD_MCANGlobalFiltConfig CANFD_OpenParams::filterConfig

Global Filter Configuration parameters. Refer struct CANFD_MCANGlobalFiltConfig.

## ◆ msgRAMConfig

CANFD_MCANMsgRAMCfgParams CANFD_OpenParams::msgRAMConfig

Message RAM Configuration parameters. Refer struct CANFD_MCANMsgRAMCfgParams.

## ◆ eccConfig

CANFD_MCANECCConfigParams CANFD_OpenParams::eccConfig

ECC Configuration parameters. Refer struct CANFD_MCANECCConfigParams.

## ◆ errInterruptEnable

uint32_t CANFD_OpenParams::errInterruptEnable

Enable/Disable error/status interrupts Note: Must be enabled to receive error and status interrupts.

## ◆ dataInterruptEnable

uint32_t CANFD_OpenParams::dataInterruptEnable

Enable/Disable data interrupts. Note: Must be enabled to receive transmit complete and data receive interrupts.